#include <iostream>
#include <bitset>
#include <cstdio>
#include <set>
using namespace std;

void print(int x, int n){
	for(int i=0; i<n; i++){
		printf("%d",(x&(1<<i))?1:0);
	}
	puts("");
}

int main()
{
	int x, n;
	set<int>::iterator it;
	//print(21, 5);
	while(scanf("%d",&n)==1){
		int xx=(1<<n)-1;
		int cnt=0;
		for (int mask=0; mask<(1<<n); mask++)
		{
			set<int> s; s.clear();
			int x=mask;
			while(1)
			{
				if (x==0)
				{
					//printf("%d : DEAD\n", mask);
					print(mask, n);
					cnt++;
					break;
				}
				x=((x<<1)&xx)^(x>>1);
				if (s.count(x))
				{
					//printf("%d : LIVE\n", mask);
					break;
				}
				else s.insert(x);
			}
		}
		printf("%d of %d\n", cnt, (1<<n));
	}
	return 0;
}
